---
title: "Get an economic indicator series"
url: "https://developer.argaam.com/apis/macroeconomic-layer-api-sandbox-v1/versions/e4c9f983-817a-417e-bfa3-115c2b14f8bd/operations/getIndicatorsGroupsByGroupIdFieldsByFieldIdValues"
---

> Full API specification: https://developer.argaam.com/apis/macroeconomic-layer-api-sandbox-v1/versions/e4c9f983-817a-417e-bfa3-115c2b14f8bd.md

# Get an economic indicator series

`GET` `/api/v1.1/indicators/groups/{groupId}/fields/{fieldId}/values`

Operation ID: `getIndicatorsGroupsByGroupIdFieldsByFieldIdValues`

Returns the observation series for a single indicator field within a group - the actual macroeconomic time series.

## Path parameters

- `groupId` (integer, int32, required) - Economic indicator group identifier.
- `fieldId` (integer, int32, required) - Identifier of a field inside the selected indicator group.

## Query parameters

- `year` (integer, int32, optional) - Calendar year to filter by, e.g. `2025`. Defaults to `0`.
- `period` (string, optional) - Time window for the series, e.g. `1d`, `1m`, `3m`, `1y`, `5y`. Defaults to `year`.
- `fiscalPeriod` (string, optional) - Fiscal period within the year: `1`-`4` for quarters, `5` for the full year.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Macroeconomic Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/indicators/groups/{groupId}/fields/{fieldId}/values:
    get:
      tags:
        - Indicators
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Economic indicator group identifier.
        - name: fieldId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Identifier of a field inside the selected indicator group.
        - name: year
          in: query
          schema:
            type: integer
            format: int32
            default: 0
          example: 2023
          description: Calendar year to filter by, e.g. `2025`. Defaults to `0`.
        - name: period
          in: query
          schema:
            type: string
            default: year
          example: year
          description: Time window for the series, e.g. `1d`, `1m`, `3m`, `1y`, `5y`.
            Defaults to `year`.
        - name: fiscalPeriod
          in: query
          schema:
            type: string
            default: ""
          example: year
          description: "Fiscal period within the year: `1`-`4` for quarters, `5` for the
            full year."
      responses:
        "200":
          description: Success
      summary: Get an economic indicator series
      description: Returns the observation series for a single indicator field within
        a group - the actual macroeconomic time series.
      operationId: getIndicatorsGroupsByGroupIdFieldsByFieldIdValues
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
